<?php
namespace BackOfficeOptimizer\Providers;

use Zeedhi\Framework\DataSource\DataSet;

class ParamGeralProvider{
    protected $connection;

    public function __construct($connection){
        $this->connection = $connection;
    }
    
    public function setConnection($connection) {
        $this->connection = $connection;
    }

    /**
     * 
     * @return DataSet
     */
    public function getParamGeral(){
        $sql = "SELECT CDPICTPRAT, CDPICTPROD, DSDNSCARDOTIMIZADO, IDUTRPADCA FROM PARAMGERAL";
    
        $statement = $this->connection->prepare($sql);
        $statement->execute();
        return $statement->fetchAll();
    }
    
    public function getFilialSelecionada($cdoperador, $nrorg){
        $sql = "SELECT F.CDFILIAL, F.NMFILIAL, O.CDFILIALSELECIONADA FROM OPERADOR O LEFT JOIN FILIAL F ON O.CDFILIALSELECIONADA = F.CDFILIAL AND O.NRORG = F.NRORG WHERE O.CDOPERADOR = :CDOPERADOR AND O.NRORG = :NRORG";
        $params = array(
            "CDOPERADOR"=> $cdoperador,
            "NRORG"=>$nrorg
        );
        $statement = $this->connection->prepare($sql); 
        $statement->execute($params);
        return $statement->fetchAll();
    }    
}
